import 'dart:async';

import 'package:flutter/material.dart';
import 'package:techruptflutterplugin_example/meeting_screen.dart';

class JoinWidget extends StatefulWidget {
  @override
  _JoinWidgetState createState() => _JoinWidgetState();
}

class _JoinWidgetState extends State<JoinWidget> {

  @override
  Widget build(BuildContext context) {
    // new page needs scaffolding!
    return Scaffold(
      appBar: AppBar(
        title: Text('Join meeting'),
      ),
      body: Container(
        child: Padding(
          padding: const EdgeInsets.symmetric(
            vertical: 8.0,
            horizontal: 32.0,
          ),
          child: Padding(
            padding: const EdgeInsets.all(16.0),
            child: Center(
              child: Builder(
                builder: (context) {
                  // The basic Material Design action button.
                  return RaisedButton(
                    // If onPressed is null, the button is disabled
                    // this is my goto temporary callback.
                    onPressed: () => joinMeeting(context),
                    child: Text('Join'),
                  );
                },
              ),
            ),
          ),
        ),
      ),
    );
  }


  joinMeeting(BuildContext context) {
    Navigator.of(context).push(
      MaterialPageRoute(
        builder: (context) {
          return MeetingWidget(meetingId: '712130556', meetingPassword: '668892');
        },
      ),
    );
  }
}